%% SN-curve and damage distribution
clc
clear all
close all

%% Tower bottom characteristics
D = 8000; % Outer diameter [mm]
t = 70; % Thickness [mm]
d = D-t*2; % Inner diameter [mm]
A = pi*((D/2)^2-(d/2)^2);
W = pi*(D^4-d^4)/(32*D); % Section modulus at bottom[mm]

%% Reading data from files
fs = 100;
t = seconds(100:1/fs:700.01-1/fs)';

num = 8; % Number of files

%% From 10m/s simulation
dof = [];

elem770100_dof5_fasit = readtable('/Users/luciavu/Documents/MasterData/2303/fasit_Time_vs_Element_Force_Elem_770100_End_1_Dof_5.txt');
dof5_fasit = elem770100_dof5_fasit{100.01*fs:end,2}; % Bending moment, fasit [Nm]
dof(:,1) = dof5_fasit;
elem_1006_dof5_5e4 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp5e4_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
dof5_5e4 = elem_1006_dof5_5e4{100.01*fs:end,2}; % Bending moment, damp = 5e4 [Nm]
dof(:,2) = dof5_5e4;
elem_1006_dof5_1e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp1e5_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
dof5_1e5 = elem_1006_dof5_1e5{100.01*fs:end,2}; % Bending moment, damp = 1e5 [Nm]
dof(:,3) = dof5_1e5;
elem_1006_dof5_3e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp3e5_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
dof5_3e5 = elem_1006_dof5_3e5{100.01*fs:end,2}; % Bending moment, damp = 3e5 [Nm]
dof(:,4) = dof5_3e5;
elem_1006_dof5_5e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp5e5_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
dof5_5e5 = elem_1006_dof5_5e5{100.01*fs:end,2}; % Bending moment, damp = 5e5 [Nm]
dof(:,5) = dof5_5e5;
elem_1006_dof5_7e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp7e5_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
dof5_7e5 = elem_1006_dof5_7e5{100.01*fs:end,2}; % Bending moment, damp = 7e5 [Nm]
dof(:,6) = dof5_7e5;
elem_1006_dof5_1e6 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp1e6_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
dof5_1e6 = elem_1006_dof5_1e6{100.01*fs:end,2}; % Bending moment, damp = 1e6 [Nm]
dof(:,7) = dof5_1e6;
elem770100_dof5_5e6 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp5e6_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
dof5_5e6 = elem770100_dof5_5e6{100.01*fs:end,2}; % Bending moment, damp = 5e6 [Nm]
dof(:,8) = dof5_5e6;

%% From 12m/s simulation
Xdof = [];

Xelem770100_Mx12 = readtable('/Users/luciavu/Documents/MasterData/Mx_var_12/results_0516_Time_vs_Element_Force_Elem_770100_End_1_Dof_5.txt');
Xdof5_fasit = Xelem770100_Mx12{100.01*fs:end,2}; % Bending moment, fasit [Nm]
Xdof(:,1) = Xdof5_fasit;
Xelem_1006_dof5_5e4 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp5e4res_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
Xdof5_5e4 = Xelem_1006_dof5_5e4{100.01*fs:end,2}; % Bending moment, damp = 5e4 [Nm]
Xdof(:,2) = Xdof5_5e4;
Xelem_1006_dof5_1e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp1e5res_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
Xdof5_1e5 = Xelem_1006_dof5_1e5{100.01*fs:end,2}; % Bending moment, damp = 1e5 [Nm]
Xdof(:,3) = Xdof5_1e5;
Xelem_1006_dof5_3e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp3e5res_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
Xdof5_3e5 = Xelem_1006_dof5_3e5{100.01*fs:end,2}; % Bending moment, damp = 3e5 [Nm]
Xdof(:,4) = Xdof5_3e5;
Xelem_1006_dof5_5e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp5e5res_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
Xdof5_5e5 = Xelem_1006_dof5_5e5{100.01*fs:end,2}; % Bending moment, damp = 5e5 [Nm]
Xdof(:,5) = Xdof5_5e5;
Xelem_1006_dof5_7e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp7e5res_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
Xdof5_7e5 = Xelem_1006_dof5_7e5{100.01*fs:end,2}; % Bending moment, damp = 7e5 [Nm]
Xdof(:,6) = Xdof5_7e5;
Xelem_1006_dof5_1e6 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp1e6res_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
Xdof5_1e6 = Xelem_1006_dof5_1e6{100.01*fs:end,2}; % Bending moment, damp = 1e6 [Nm]
Xdof(:,7) = Xdof5_1e6;
Xelem_1006_dof5_5e6 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/damp5e6res_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
Xdof5_5e6 = Xelem_1006_dof5_5e6{100.01*fs:end,2}; % Bending moment, damp = 5e6 [Nm]
Xdof(:,8) = Xdof5_5e6;

%% From 13m/s simulation
XYdof = [];

XYelem770100_Mx13 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/results_2505_13_Time_vs_Element_Force_Elem_770100_End_1_Dof_5.txt');
XYdof5_fasit = XYelem770100_Mx13{100.01*fs:end,2}; % Bending moment, fasit [Nm]
XYdof(:,1) = XYdof5_fasit;
XYelem_1006_dof5_5e4 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp5e4_2505_13_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYdof5_5e4 = XYelem_1006_dof5_5e4{100.01*fs:end,2}; % Bending moment, damp = 5e4 [Nm]
XYdof(:,2) = XYdof5_5e4;
XYelem_1006_dof5_1e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp1e5_2505_13_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYdof5_1e5 = XYelem_1006_dof5_1e5{100.01*fs:end,2}; % Bending moment, damp = 1e5 [Nm]
XYdof(:,3) = XYdof5_1e5;
XYelem_1006_dof5_3e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp3e5_2505_13_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYdof5_3e5 = XYelem_1006_dof5_3e5{100.01*fs:end,2}; % Bending moment, damp = 3e5 [Nm]
XYdof(:,4) = XYdof5_3e5;
XYelem_1006_dof5_5e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp5e5_2505_13_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYdof5_5e5 = XYelem_1006_dof5_5e5{100.01*fs:end,2}; % Bending moment, damp = 5e5 [Nm]
XYdof(:,5) = XYdof5_5e5;
XYelem_1006_dof5_7e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp7e5_2505_13_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYdof5_7e5 = XYelem_1006_dof5_7e5{100.01*fs:end,2}; % Bending moment, damp = 7e5 [Nm]
XYdof(:,6) = XYdof5_7e5;
XYelem_1006_dof5_1e6 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp1e6_2505_13_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYdof5_1e6 = XYelem_1006_dof5_1e6{100.01*fs:end,2}; % Bending moment, damp = 1e6 [Nm]
XYdof(:,7) = XYdof5_1e6;
XYelem_1006_dof5_5e6 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp5e6_2505_13_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYdof5_5e6 = XYelem_1006_dof5_5e6{100.01*fs:end,2}; % Bending moment, damp = 5e6 [Nm]
XYdof(:,8) = XYdof5_5e6;

%% From 14m/s simulation
XYZdof = [];

XYZelem770100_Mx14 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/results_2505_14_Time_vs_Element_Force_Elem_770100_End_1_Dof_5.txt');
XYZdof5_fasit = XYZelem770100_Mx14{100.01*fs:end,2}; % Bending moment, fasit [Nm]
XYZdof(:,1) = XYZdof5_fasit;
XYZelem_1006_dof5_5e4 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp5e4_2505_14_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYZdof5_5e4 = XYZelem_1006_dof5_5e4{100.01*fs:end,2}; % Bending moment, damp = 5e4 [Nm]
XYZdof(:,2) = XYZdof5_5e4;
XYZelem_1006_dof5_1e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp1e5_2505_14_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYZdof5_1e5 = XYZelem_1006_dof5_1e5{100.01*fs:end,2}; % Bending moment, damp = 1e5 [Nm]
XYZdof(:,3) = XYZdof5_1e5;
XYZelem_1006_dof5_3e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp3e5_2505_14_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYZdof5_3e5 = XYZelem_1006_dof5_3e5{100.01*fs:end,2}; % Bending moment, damp = 3e5 [Nm]
XYZdof(:,4) = XYZdof5_3e5;
XYZelem_1006_dof5_5e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp5e5_2505_14_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYZdof5_5e5 = XYZelem_1006_dof5_5e5{100.01*fs:end,2}; % Bending moment, damp = 5e5 [Nm]
XYZdof(:,5) = XYZdof5_5e5;
XYZelem_1006_dof5_7e5 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp7e5_2505_14_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYZdof5_7e5 = XYZelem_1006_dof5_7e5{100.01*fs:end,2}; % Bending moment, damp = 7e5 [Nm]
XYZdof(:,6) = XYZdof5_7e5;
XYZelem_1006_dof5_1e6 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp1e6_2505_14_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYZdof5_1e6 = XYZelem_1006_dof5_1e6{100.01*fs:end,2}; % Bending moment, damp = 1e6 [Nm]
XYZdof(:,7) = XYZdof5_1e6;
XYZelem_1006_dof5_5e6 = readtable('/Users/luciavu/Documents/MasterData/dampCoeff/1314/damp5e6_2505_14_Time_vs_Element_Force_Elem_1006_End_1_Dof_5.txt');
XYZdof5_5e6 = XYZelem_1006_dof5_5e6{100.01*fs:end,2}; % Bending moment, damp = 5e6 [Nm]
XYZdof(:,8) = XYZdof5_5e6;

%% Rainflow counting for 10m/s simulation
stress=[];
cycles=[];
for r = 1 : num
    TT = timetable(t,dof(:,r));
    [c,hist,edges,rmm,idx] = rainflow(TT);
    T = array2table(c,'VariableNames',{'Count','Range','Mean','Start','End'}) ;

    % Bending moment, fasit
    block = 40;
    range = c(:,2); % Bending moment ranges [Nm]
    edgess = linspace(0,max(range)+1,block); % Bending moment ranges, bins edges
    cyclesFasit = zeros(1,length(edgess)); % Number of cycles
    edge_mid = zeros(1,length(edgess)); % Bending moment
    for i = 1:length(range)
        for j = 1:length(edgess)-1
            if range(i) > edgess(j) && range(i) <= edgess(j+1)
                cyclesFasit(j) = cyclesFasit(j) + 1;
            end
            edge_mid(j) = (edgess(j) + edgess(j+1))/2; % Bending moment
        end

    end
        stress(:,r) = edge_mid*10^3/W; % Stress ranges [N/mm^2]=[MPa]
        cycles(:,r) = cyclesFasit;
end

%% Rainflow counting for 12m/s simulation
Xstress=[];
Xcycles=[];
for r = 1 : num
    XTT = timetable(t,Xdof(:,r));
    [Xc,hist,Xedges,rmm,idx] = rainflow(XTT);
    XT = array2table(Xc,'VariableNames',{'Count','Range','Mean','Start','End'}) ;

    % Bending moment, fasit
    blocks = 40;
    Xrange = Xc(:,2); % Bending moment ranges [Nm]
    Xedgess = linspace(0,max(Xrange)+1,blocks); % Bending moment ranges, bins edges
    XcyclesFasit = zeros(1,length(Xedgess)); % Number of cycles
    Xedge_mid = zeros(1,length(Xedgess)); % Bending moment
    for i = 1:length(Xrange)
        for j = 1:length(Xedgess)-1
            if Xrange(i) > Xedgess(j) && Xrange(i) <= Xedgess(j+1)
                XcyclesFasit(j) = XcyclesFasit(j) + 1;
            end
            Xedge_mid(j) = (Xedgess(j) + Xedgess(j+1))/2; % Bending moment
        end

    end
        Xstress(:,r) = Xedge_mid*10^3/W; % Stress ranges [N/mm^2]=[MPa]
        Xcycles(:,r) = XcyclesFasit;
end

%% Rainflow counting for 13m/s simulation
XYstress=[];
XYcycles=[];
for r = 1 : num
    XYTT = timetable(t,XYdof(:,r));
    [XYc,hist,XYedges,rmm,idx] = rainflow(XYTT);
    XYT = array2table(XYc,'VariableNames',{'Count','Range','Mean','Start','End'}) ;

    % Bending moment, fasit
    XYblock = 40;
    XYrange = XYc(:,2); % Bending moment ranges [Nm]
    XYedgess = linspace(0,max(XYrange)+1,XYblock); % Bending moment ranges, bins edges
    XYcyclesFasit = zeros(1,length(XYedgess)); % Number of cycles
    XYedge_mid = zeros(1,length(XYedgess)); % Bending moment
    for i = 1:length(XYrange)
        for j = 1:length(XYedgess)-1
            if XYrange(i) > XYedgess(j) && XYrange(i) <= XYedgess(j+1)
                XYcyclesFasit(j) = XYcyclesFasit(j) + 1;
            end
            XYedge_mid(j) = (XYedgess(j) + XYedgess(j+1))/2; % Bending moment
        end

    end
        XYstress(:,r) = XYedge_mid*10^3/W; % Stress ranges [N/mm^2]=[MPa]
        XYcycles(:,r) = XYcyclesFasit;
end

%% Rainflow counting for 14m/s simulation
XYZstress=[];
XYZcycles=[];
for r = 1 : num
    XYZTT = timetable(t,XYZdof(:,r));
    [XYZc,hist,XYZedges,rmm,idx] = rainflow(XYZTT)
    XYZT = array2table(XYZc,'VariableNames',{'Count','Range','Mean','Start','End'}) ;

    % Bending moment, fasit
    XYZblock = 40;
    XYZrange = XYZc(:,2); % Bending moment ranges [Nm]
    XYZedgess = linspace(0,max(XYZrange)+1,XYZblock); % Bending moment ranges, bins edges
    XYZcyclesFasit = zeros(1,length(XYZedgess)); % Number of cycles
    XYZedge_mid = zeros(1,length(XYZedgess)); % Bending moment
    for i = 1:length(XYZrange)
        for j = 1:length(XYZedgess)-1
            if XYZrange(i) > XYZedgess(j) && XYZrange(i) <= XYZedgess(j+1)
                XYZcyclesFasit(j) = XYZcyclesFasit(j) + 1;
            end
            XYZedge_mid(j) = (XYZedgess(j) + XYZedgess(j+1))/2; % Bending moment
        end

    end
        XYZstress(:,r) = XYZedge_mid*10^3/W; % Stress ranges [N/mm^2]=[MPa]
        XYZcycles(:,r) = XYZcyclesFasit;
end


%% Figures for damping coefficients
figure(1)
for i=2:num
    loglog(cycles(:,i), stress(:,i), 'o', 'MarkerEdgeColor',[0 0.4470 0.7410],'MarkerFaceColor',[10-i 10-i 10-i]*0.1);
    grid on
    hold on
end
loglog(cycles(:,1), stress(:,1), '*','MarkerEdgeColor',[0.9290 0.6940 0.1250],'MarkerSize',11 );
grid on
hold on
legend({'C = 5e4', 'C = 1e5', 'C = 3e5', 'C = 5e5','C = 7e5','C = 1e6', 'C = 5e6','Assembled turbine'},'Location','southeast','NumColumns',2);
set(gca,'Fontsize',16)
title('Analysed stress distribution, U_{mean} = 10 m/s')
xlabel('Number of cycles, N')
ylabel('Stress range, \Delta \sigma [MPa]')


figure(2)
for i=2:num
    loglog(Xcycles(:,i), Xstress(:,i), 'o', 'MarkerEdgeColor',[0 0.4470 0.7410],'MarkerFaceColor',[10-i 10-i 10-i]*0.1);
    grid on
    hold on
end
loglog(Xcycles(:,1), Xstress(:,1), '*','MarkerEdgeColor',[0.9290 0.6940 0.1250], 'MarkerSize',11);
grid on
hold on
legend({'C = 5e4', 'C = 1e5', 'C = 3e5', 'C = 5e5','C = 7e5','C = 1e6', 'C = 5e6','Assembled turbine'},'Location','southeast','NumColumns',2);
set(gca,'Fontsize',16)
title('Analysed stress distribution, U_{mean} = 12 m/s')
xlabel('Number of cycles, N')
ylabel('Stress range, \Delta \sigma [MPa]')

figure(3)
for i=2:num
    loglog(XYcycles(:,i), XYstress(:,i), 'o', 'MarkerEdgeColor',[0 0.4470 0.7410],'MarkerFaceColor',[10-i 10-i 10-i]*0.1);
    grid on
    hold on
end
loglog(XYcycles(:,1), XYstress(:,1), '*','MarkerEdgeColor',[0.9290 0.6940 0.1250], 'MarkerSize',11);
grid on
hold on
legend({'C = 5e4', 'C = 1e5', 'C = 3e5', 'C = 5e5','C = 7e5','C = 1e6', 'C = 5e6','Assembled turbine'},'Location','southeast','NumColumns',2);
set(gca,'Fontsize',16)
title('Analysed stress distribution, U_{mean} = 13 m/s')
xlabel('Number of cycles, N')
ylabel('Stress range, \Delta \sigma [MPa]')

figure(4)
for i=2:num
    loglog(XYZcycles(:,i), XYZstress(:,i), 'o', 'MarkerEdgeColor',[0 0.4470 0.7410],'MarkerFaceColor',[10-i 10-i 10-i]*0.1);
    grid on
    hold on
end
loglog(XYZcycles(:,1), XYZstress(:,1), '*','MarkerEdgeColor',[0.9290 0.6940 0.1250], 'MarkerSize',11);
grid on
hold on
legend({'C = 5e4', 'C = 1e5', 'C = 3e5', 'C = 5e5','C = 7e5','C = 1e6', 'C = 5e6','Assembled turbine'},'Location','southeast','NumColumns',2);
set(gca,'Fontsize',16)
title('Analysed stress distribution, U_{mean} = 14 m/s')
xlabel('Number of cycles, N')
ylabel('Stress range, \Delta \sigma [MPa]')
%% Fatigue damage accumulation 10 m/s

% N > e6
loga2Bar = 15.606;
m2 = 5;
n = cycles / 600 * 31556926 * 20; % Number of cycles within 20 operating years

DD_bin = [];
DD_temp = zeros(1,num);
for l = 1 : num
    for p = 1 : block % Looping through p number of stress blocks

        DD_temp(l) = DD_temp(l) + n(p,l)*stress(p,l)^m2;

        if l == 1 % Assembled
            DD_bin(1,p) = n(p,l)*stress(p,l)^m2;
        elseif l == 3 % 1e5
            DD_bin(2,p) = n(p,l)*stress(p,l)^m2;
        elseif l == 4 % 3e5
            DD_bin(3,p) = n(p,l)*stress(p,l)^m2;
        elseif l == 5 % 5e5
            DD_bin(4,p) = n(p,l)*stress(p,l)^m2;
        else 
            cc = 1;
        end

    end
end

DD = 1/10^loga2Bar * DD_temp;
DD_bins = 1/10^loga2Bar * DD_bin;
%% Fatigue damage accumulation 12 m/s

Xn = Xcycles / 600 * 31556926 * 20;% Number of cycles within 20 operating years

XDD_bin = [];
XDD_temp = zeros(1,num);
for l = 1 : num
    for p = 1 : blocks % Looping through p number of stress blocks

        XDD_temp(l) = XDD_temp(l) + Xn(p,l)*Xstress(p,l)^m2;

        if l == 1 % Assembled
            XDD_bin(1,p) = Xn(p,l)*Xstress(p,l)^m2;
        elseif l == 3 % 1e5
            XDD_bin(2,p) = Xn(p,l)*Xstress(p,l)^m2;
        elseif  l == 4 % 3e5
            XDD_bin(3,p) = Xn(p,l)*Xstress(p,l)^m2;
        elseif l == 5 % 5e5
            XDD_bin(4,p) = Xn(p,l)*Xstress(p,l)^m2;
        else 
            cc = 1;
        end

    end
end

XDD = 1/10^loga2Bar * XDD_temp;
XDD_bins = 1/10^loga2Bar * XDD_bin;

%% Fatigue damage accumulation 13 m/s

XYn = XYcycles / 600 * 31556926 * 20;% Number of cycles within 20 operating years

XYDD_bin = [];
XYDD_temp = zeros(1,num);
for l = 1 : num
    for p = 1 : XYblock % Looping through p number of stress blocks

        XYDD_temp(l) = XYDD_temp(l) + XYn(p,l)*XYstress(p,l)^m2;

        if l == 1 % Assembled
            XYDD_bin(1,p) = XYn(p,l)*XYstress(p,l)^m2;
        elseif l == 3 % 1e5
            XYDD_bin(2,p) = XYn(p,l)*XYstress(p,l)^m2;
        elseif  l == 4 % 3e5
            XYDD_bin(3,p) = XYn(p,l)*XYstress(p,l)^m2;
        elseif l == 5 % 5e5
            XYDD_bin(4,p) = XYn(p,l)*XYstress(p,l)^m2;
        else 
            cc = 1;
        end

    end
end

XYDD = 1/10^loga2Bar * XYDD_temp;
XYDD_bins = 1/10^loga2Bar * XYDD_bin;

%% Fatigue damage accumulation 14 m/s

XYZn = XYZcycles / 600 * 31556926 * 20;% Number of cycles within 20 operating years

XYZDD_bin = [];
XYZDD_temp = zeros(1,num);
for l = 1 : num
    for p = 1 : XYZblock % Looping through p number of stress blocks

        XYZDD_temp(l) = XYZDD_temp(l) + XYZn(p,l)*XYZstress(p,l)^m2;

        if l == 1 % Assembled
            XYZDD_bin(1,p) = XYZn(p,l)*XYZstress(p,l)^m2;
        elseif l == 3 % 1e5
            XYZDD_bin(2,p) = XYZn(p,l)*XYZstress(p,l)^m2;
        elseif  l == 4 % 3e5
            XYZDD_bin(3,p) = XYZn(p,l)*XYZstress(p,l)^m2;
        elseif l == 5 % 5e5
            XYZDD_bin(4,p) = XYZn(p,l)*XYZstress(p,l)^m2;
        else 
            cc = 1;
        end

    end
end

XYZDD = 1/10^loga2Bar * XYZDD_temp;
XYZDD_bins = 1/10^loga2Bar * XYZDD_bin;

%% Plot Damage contribution 10 m/s
edgess_stress = edgess*10^3/W;
figure(5)
b = bar(edgess_stress,DD_bins);
legend('Assembled turbine', 'EqDamp, C = 1e5', 'EqDamp, C = 3e5', 'EqDamp, C = 5e5');
set(gca,'Fontsize',16)
title('Damage contribution, U_{mean} = 10 m/s')
xlim([5 22.5])
ylim([0 0.024])
xlabel('Stress range, \Delta \sigma [MPa]')
ylabel('Damage, D [-]')

%% Plot Damage contribution 12 m/s
Xedgess_stress = Xedgess*10^3/W;
figure(6)
Xb = bar(Xedgess_stress,XDD_bins);
legend('Assembled turbine', 'EqDamp, C = 1e5', 'EqDamp, C = 3e5', 'EqDamp, C = 5e5');
set(gca,'Fontsize',16)
title('Damage contribution, U_{mean} = 12 m/s')
xlim([5 28])
xlabel('Stress range, \Delta \sigma [MPa]')
ylabel('Damage, D [-] ')

%% Plot Damage contribution 13 m/s
XYedgess_stress = XYedgess*10^3/W;
figure(7)
XYb = bar(XYedgess_stress,XYDD_bins);
legend('Assembled turbine', 'EqDamp, C = 1e5', 'EqDamp, C = 3e5', 'EqDamp, C = 5e5');
set(gca,'Fontsize',16)
title('Damage contribution, U_{mean} = 13 m/s')
xlim([5 29])
xlabel('Stress range, \Delta \sigma [MPa]')
ylabel('Damage, D [-] ')

%% Plot Damage contribution 14 m/s
XYZedgess_stress = XYZedgess*10^3/W;
figure(8)
XYZb = bar(XYZedgess_stress,XYZDD_bins);
legend('Assembled turbine', 'EqDamp, C = 1e5', 'EqDamp, C = 3e5', 'EqDamp, C = 5e5');
set(gca,'Fontsize',16)
title('Damage contribution, U_{mean} = 14 m/s')
xlim([5 23.7])
ylim([0 0.02])
xlabel('Stress range, \Delta \sigma [MPa]')
ylabel('Damage, D [-] ')
